<style>
    #g-map {
        height: 480px;
    }

    .controls {
        margin-top: 10px;
        border: 1px solid transparent;
        border-radius: 2px 0 0 2px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        height: 32px;
        outline: none;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    }

    #type-selector {
        display: none;
    }

    #pac-input {
        background-color: #fff;
        font-size: 15px;
        font-weight: 300;
        margin-left: 12px;
        padding: 0 11px 0 13px;
        text-overflow: ellipsis;
        width: 360px;
    }

    #pac-input:focus {
        border-color: #4d90fe;
    }

    #type-selector {
        color: #fff;
        background-color: #4d90fe;
        padding: 5px 11px 0px 11px;
    }

    #type-selector label {
        font-size: 13px;
        font-weight: 300;
    }
</style>
<div class="alert alert-info">By default marker sets to Your geo position!</div>
<form method="post" autocomplete="off" id="add-shop">
    <input type="hidden" class="form-control" name="sdNewShop[ShopAddress]" id="shop-address"
           placeholder="Shop name"
           required>
    <ul class="nav nav-tabs">
        {foreach name=sprachen from=$sprachen item=sprache}
            <li role="presentation" {if $smarty.foreach.sprachen.index === 0}class="active"{/if}><a
                        href="#{$sprache->cISO}" data-toggle="tab" role="tab">{$sprache->cNameEnglisch}</a></li>
        {/foreach}
    </ul>
    <div class="tab-content">
        {foreach name=sprachen from=$sprachen item=sprache}
            <div id="{$sprache->cISO}" class="tab-pane fade{if $smarty.foreach.sprachen.index === 0} active in{/if}">
                <div class="form-group">
                    <label for="shop-name">Shop name</label>
                    <input type="text" class="form-control" name="sdNewShopLoc[{$sprache->cISO}][ShopName]"
                           id="shop-name"
                           placeholder="Shop name"
                           required>
                </div>
                <div class="form-group">
                    <label for="custom-address">Shop address</label>
        <textarea class="form-control" id="custom-address" name="sdNewShopLoc[{$sprache->cISO}][DisplayedAddress]"
                  rows="5"
                  required></textarea>
                </div>
                <div class="form-group">
                    <label for="description">Description</label>
            <textarea class="form-control" id="description" name="sdNewShopLoc[{$sprache->cISO}][Description]"
                      rows="5"></textarea>

                </div>
            </div>
        {/foreach}
    </div>
    <div class="row form-group" id="working-hours">
        <div class="col-xs-12">
            <label>Working hours</label>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4">
            <label for="mon">Monday</label>
            <input type="text" class="form-control" id="mon" name="sdNewShop[Mon]"
                   placeholder="Monday">
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4">
            <label for="tue">Tuesday</label>
            <input type="text" class="form-control" id="tue" name="sdNewShop[Tue]"
                   placeholder="Tuesday">
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4">
            <label for="wed">Wednesday</label>
            <input type="text" class="form-control" id="wed" name="sdNewShop[Wed]"
                   placeholder="Wednesday">
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4">
            <label for="thu">Thursday</label>
            <input type="text" class="form-control" id="thu" name="sdNewShop[Thu]"
                   placeholder="Thursday">
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4">
            <label for="fri">Friday</label>
            <input type="text" class="form-control" id="fri" name="sdNewShop[Fri]"
                   placeholder="Friday">
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4">
            <label for="sat">Saturday</label>
            <input type="text" class="form-control" id="sat" name="sdNewShop[Sat]"
                   placeholder="Saturday">
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4">
            <label for="Sun">Sunday</label>
            <input type="text" class="form-control" id="Sun" name="sdNewShop[Sun]"
                   placeholder="Sunday">
        </div>
    </div>
    <div class="form-group">
        <label for="lat">Latitude</label>
        <input type="text" class="form-control" name="sdNewShop[Lat]" id="lat" placeholder="Latitude" required
               pattern="^[-+]?[0-9]*\.?[0-9]+$">
    </div>
    <div class="form-group">
        <label for="lng">Longitude</label>
        <input type="text" class="form-control" name="sdNewShop[Lng]" id="lng" placeholder="Longitude" required
               pattern="^[-+?[0-9]*\.?[0-9]+$">
    </div>

</form>

<div id="google-map">
    <input id="pac-input" onsubmit="return false;" class="controls" type="text"
           placeholder="Enter a location">
    <div id="type-selector" class="controls">
        <input type="radio" name="type" id="changetype-all" checked="checked">
        <label for="changetype-all">All</label>

        <input type="radio" name="type" id="changetype-establishment">
        <label for="changetype-establishment">Establishments</label>

        <input type="radio" name="type" id="changetype-address">
        <label for="changetype-address">Addresses</label>

        <input type="radio" name="type" id="changetype-geocode">
        <label for="changetype-geocode">Geocodes</label>
    </div>
    <div id="g-map"></div>
</div>
<div class="clearfix"></div>
<div class="form-group" style="margin-top: 25px">
    <button type="submit" form="add-shop" class="btn btn-primary">Add</button>
    <button type="submit" form="clear-table" class="btn btn-danger"><i class="fa fa-trash"></i> Delete all shops
    </button>
    <form method="post" id="clear-table">
        <input type="hidden" name="clearDB">
    </form>


</div>

<script src="{$adminUrl}js/sd-store-locator.min.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key={$apiKey}&libraries=places&callback=initMap"
        async defer></script>